package delegierung;

%%

%{
  public interface ActionIF {
    void methode (String s);
  }

  protected ActionIF delegate;
  protected void setDelegate(ActionIF delegate) {
    this.delegate = delegate;
  }
  protected ActionIF getDelegate() {
    return delegate;
  }
%} 

%public
%class ActionIFScanner
%type boolean
%eofval{
  return false;
%eofval}
%% 

[0-9]+      { if(delegate!=null)
                delegate.methode(yytext());
              return true;
            }
.|\n        { }
